std::alignment_of< _Tp >(3cxx)

NAME
std::alignment_of< _Tp > - alignment_of

SYNOPSIS

#include <type_traits>

Inherits std::integral_constant< std::size_t, alignof(_Tp)>.

  Public Types

using type
using value_type

  Public Member Functions

constexpr operator value_type () const noexcept

  Static Public Attributes

static constexpr std::size_t value

Detailed Description

  template<typename _Tp>
struct std::alignment_of< _Tp >"alignment_of

Author

Generated automatically by Doxygen for libstdc++ from the source code.